{"openapi":"3.1.0","info":{"title":"Lets Read The Bible API","version":"1.0.0","description":"API for native iPhone, iPad, and Android apps connected to Lets Read The Bible."},"servers":[{"url":"https://letsreadthebible.com/api/v1"}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"API Token"}}},"paths":{"/status":{"get":{"summary":"API status check","responses":{"200":{"description":"Successful response"}}}},"/home":{"get":{"summary":"Return app home feed data","responses":{"200":{"description":"Successful response"}}}},"/auth/login":{"post":{"summary":"Log in and issue a bearer token","responses":{"200":{"description":"Successful response"}}}},"/auth/register":{"post":{"summary":"Register and issue a bearer token","responses":{"200":{"description":"Successful response"}}}},"/auth/logout":{"post":{"summary":"Revoke the current bearer token","responses":{"200":{"description":"Successful response"}},"security":[{"bearerAuth":[]}]}},"/me":{"get":{"summary":"Return the current user profile","responses":{"200":{"description":"Successful response"}},"security":[{"bearerAuth":[]}]}},"/account/dashboard":{"get":{"summary":"Return dashboard counters and recent donations","responses":{"200":{"description":"Successful response"}},"security":[{"bearerAuth":[]}]}},"/account/favorites":{"get":{"summary":"Return favorite verses and chapters","responses":{"200":{"description":"Successful response"}},"security":[{"bearerAuth":[]}]}},"/account/bookmarks":{"get":{"summary":"Return bookmarks","responses":{"200":{"description":"Successful response"}},"security":[{"bearerAuth":[]}]}},"/account/donations":{"get":{"summary":"Return donation history","responses":{"200":{"description":"Successful response"}},"security":[{"bearerAuth":[]}]}},"/contact":{"post":{"summary":"Send a support or feedback message from the native app","responses":{"200":{"description":"Successful response"}}}},"/push/register":{"post":{"summary":"Register an iPhone or iPad for push notifications","responses":{"200":{"description":"Successful response"}}}},"/support/app-store":{"post":{"summary":"Verify and record an App Store support purchase","responses":{"200":{"description":"Successful response"}}}},"/account/favorites/verses/toggle":{"post":{"summary":"Toggle a verse favorite","responses":{"200":{"description":"Successful response"}},"security":[{"bearerAuth":[]}]}},"/account/favorites/chapters/toggle":{"post":{"summary":"Toggle a chapter favorite","responses":{"200":{"description":"Successful response"}},"security":[{"bearerAuth":[]}]}},"/account/bookmarks/toggle":{"post":{"summary":"Toggle a bookmark","responses":{"200":{"description":"Successful response"}},"security":[{"bearerAuth":[]}]}},"/bible/books":{"get":{"summary":"Return Bible books grouped by testament","responses":{"200":{"description":"Successful response"}}}},"/bible/topics/{topicSlug}":{"get":{"summary":"Return curated Bible topic results","responses":{"200":{"description":"Successful response"}}}},"/bible/books/{bookSlug}":{"get":{"summary":"Return one Bible book","responses":{"200":{"description":"Successful response"}}}},"/bible/books/{bookSlug}/chapters/{chapter}":{"get":{"summary":"Return one Bible chapter","responses":{"200":{"description":"Successful response"}}}},"/bible/books/{bookSlug}/chapters/{chapter}/verses/{verse}":{"get":{"summary":"Return one verse and any saved explanation","responses":{"200":{"description":"Successful response"}}}},"/bible/books/{bookSlug}/chapters/{chapter}/verses/{verse}/explanation":{"post":{"summary":"Generate or fetch a saved explanation","responses":{"200":{"description":"Successful response"}},"security":[{"bearerAuth":[]}]}},"/prayers":{"get":{"summary":"Return the prayer library","responses":{"200":{"description":"Successful response"}}}},"/prayers/{slug}":{"get":{"summary":"Return one prayer","responses":{"200":{"description":"Successful response"}}}},"/prayer-requests":{"get":{"summary":"Return the public prayer wall","responses":{"200":{"description":"Successful response"}}},"post":{"summary":"Submit a prayer request","responses":{"200":{"description":"Successful response"}},"security":[{"bearerAuth":[]}]}},"/prayer-requests/{id}/pray":{"post":{"summary":"Mark a prayer request as prayed for","responses":{"200":{"description":"Successful response"}}}},"/prayer-requests/{id}/comments":{"post":{"summary":"Post a prayer wall comment","responses":{"200":{"description":"Successful response"}},"security":[{"bearerAuth":[]}]}},"/candles":{"get":{"summary":"Return the public candle wall","responses":{"200":{"description":"Successful response"}}},"post":{"summary":"Submit a free candle","responses":{"200":{"description":"Successful response"}},"security":[{"bearerAuth":[]}]}},"/blog/categories":{"get":{"summary":"Return public blog categories","responses":{"200":{"description":"Successful response"}}}},"/blog/posts":{"get":{"summary":"Return published blog posts","responses":{"200":{"description":"Successful response"}}}},"/blog/posts/{slug}":{"get":{"summary":"Return one blog post","responses":{"200":{"description":"Successful response"}}}},"/search":{"get":{"summary":"Run global site search","responses":{"200":{"description":"Successful response"}}}}}}